#
# spec file for package net-tools (Version 1.60)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gettext
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         net-tools
Copyright:    GPL
Group:        System Environment/Base
Provides:     net_tool
Obsoletes:    net_tool
Autoreqprov:  on
Version:      1.60
Release:      80
Summary:      Important programs for networking
BuildRoot:    %{_tmppath}/%{name}-%{version}-root
Source: net-tools-%{version}.tar.bz2
Patch:  net-tools-%{version}.dif
Patch1: netstat-trunc.dif

%description
This package contains essential programs for network administration
and maintenance: netstat, hostname, arp, ifconfig, rarp and route.

Authors:
--------
    Fred N. van Kempen <waltje@uwalt.nl.mugnet.org>
    Bernd Eckenfels <net-tools@lina.inka.de>
    Fred Baumgarten <dc6iq@insu1.etec.uni-karlsruhe.de>
    Peter Tobias <tobias@et-inf.fho-emden.de>

SuSE series: a

%prep
%setup -n net-tools-%{version}
%patch
%patch1

%build
make config
make "COPTS=-D_GNU_SOURCE $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install BASEDIR=$RPM_BUILD_ROOT
for tool in \
%ifarch s390
		mii-tool plipconfig slattach \
%endif
		nisdomainname ypdomainname
do
	rm -f $RPM_BUILD_ROOT/*bin/$tool
	rm -f $RPM_BUILD_ROOT/%{_mandir}/man*/$tool.*
	rm -f $RPM_BUILD_ROOT/%{_mandir}/*/man*/$tool.*
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
/bin/*
/sbin/*
%doc %{_mandir}/man*/*
%doc %{_mandir}/*/man*/*
%{_datadir}/locale/*/LC_MESSAGES/net-tools.mo

%changelog -n net-tools
* Sat Aug 25 2001 - kukuk@suse.de
- Replace last patch by a newer one from ak@suse.de
* Mon Aug 20 2001 - kukuk@suse.de
- Add fix for truncated IP addresses [Bug #9737]
* Wed Apr 25 2001 - kukuk@suse.de
- Update to net-tools-1.60:
  * lot of locale fixes
  * IPv6 fixes
  * use secure strcpy
* Tue Apr 17 2001 - ro@suse.de
- added provides for net_tool
* Sun Mar 04 2001 - bk@suse.de
- Update to 1.59(many fixes and improvements and new program nameif)
- enabled gettext support and added locales
- added ipmaddr and iptunnel tools
- enabled FDDI and HIPPI support
- use optimisation flags
- added international man pages
- spec file changes to make use of wildcards in the filelist
* Fri Oct 20 2000 - kukuk@suse.de
- Rename from net_tool to net-tools
* Sun Jun 25 2000 - bk@suse.de
- s390: removed not needed files
* Sat Jun 03 2000 - kukuk@suse.de
- Update to 1.56
* Thu May 25 2000 - kukuk@suse.de
- Update to 1.55 (contains all fixes)
* Thu May 18 2000 - kukuk@suse.de
- Add oh2bns patch (bug #2864)
* Wed Feb 09 2000 - kukuk@suse.de
- Add ifconfig manual pages from Andi Kleen
* Wed Feb 02 2000 - kukuk@suse.de
- Fix PPP initialisation
* Wed Feb 02 2000 - kukuk@suse.de
- Update to 1.54, move /usr/man -> /usr/share/man
* Mon Jan 03 2000 - kukuk@suse.de
- Enable IPv6 support
- Fix arp/ethers parsing
* Tue Oct 12 1999 - garloff@suse.de
- gateways and targets of PtP routes (host flag) are hosts, not
  networks. Change name lookup accordingly.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 30 1999 - kukuk@suse.de
- Update to 1.53, remove ypdomainname and nisdomainname
* Sat Jun 26 1999 - kukuk@suse.de
- update from jurix to 1.52
* Tue Mar 09 1999 - ro@suse.de
- update to 1.50
- included slattach and its manpage in filelist
* Wed Oct 28 1998 - ro@suse.de
- update to 1.46 / removed incorporated changes from .dif
* Sat Sep 19 1998 - ro@suse.de
- define _GNU_SOURCE where getopt_long is used
* Tue Sep 01 1998 - ro@suse.de
- fixed problems with inluding own ipx.h under glibc
* Wed Jun 24 1998 - ro@suse.de
- added include linux/timer.h before including linux/ip_fw.h
* Mon Oct 27 1997 - ro@suse.de
- added ADD_LANG in Makefile to avoid error
  whenever-whenever - florian@suse.de
  new version 1.32-alpha
  mv /sbin/arp /usr/sbin/arp
